<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFoldersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('folders', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('user_id')->index('folders_user_id_foreign');
            $table->unsignedBigInteger('parent_id')->nullable()->index('folders_parent_id_foreign');
            $table->string('type')->default('folder');
            $table->string('title');
            $table->unsignedTinyInteger('position')->default(255);
            $table->timestamps();
            $table->unsignedBigInteger('group_id')->index('folders_group_id_foreign');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('folders');
    }
}
